cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/sales_reps/sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"sales_rep": {
"last_name": "Citizen-Smith"
}
}'from exsited import build_client
client = build_client()
response = client.sales_reps.update_settings_sales_rep(
"sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c", {"sales_rep": {"last_name": "Citizen-Smith"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.salesReps.updateSettingsSalesRep('sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c', {
sales_rep: {last_name: 'Citizen-Smith'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->salesReps->updateSettingsSalesRep('sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c', [
'sales_rep' => ['last_name' => 'Citizen-Smith'],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.salesReps().updateSettingsSalesRep(
"sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c",
Map.of("sales_rep", Map.of("last_name", "Citizen-Smith")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.SalesReps.UpdateSettingsSalesRepAsync(
"sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c",
new Dictionary<string, object?>
{
["sales_rep"] = new Dictionary<string, object?>
{
["last_name"] = "Citizen-Smith",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.salesReps.updateSettingsSalesRep(
'sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c',
{
'sales_rep': {'last_name': 'Citizen-Smith'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.SalesReps().UpdateSettingsSalesRep(context.Background(), "sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c", map[string]any{
"sales_rep": map[string]any{"last_name": "Citizen-Smith"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Sales reps
Update a sales rep
Changes a sales rep’s details, or enables or disables the rep.
PATCH
/
settings
/
sales_reps
/
{sales_rep_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/sales_reps/sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"sales_rep": {
"last_name": "Citizen-Smith"
}
}'from exsited import build_client
client = build_client()
response = client.sales_reps.update_settings_sales_rep(
"sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c", {"sales_rep": {"last_name": "Citizen-Smith"}}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.salesReps.updateSettingsSalesRep('sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c', {
sales_rep: {last_name: 'Citizen-Smith'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->salesReps->updateSettingsSalesRep('sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c', [
'sales_rep' => ['last_name' => 'Citizen-Smith'],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.salesReps().updateSettingsSalesRep(
"sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c",
Map.of("sales_rep", Map.of("last_name", "Citizen-Smith")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.SalesReps.UpdateSettingsSalesRepAsync(
"sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c",
new Dictionary<string, object?>
{
["sales_rep"] = new Dictionary<string, object?>
{
["last_name"] = "Citizen-Smith",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.salesReps.updateSettingsSalesRep(
'sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c',
{
'sales_rep': {'last_name': 'Citizen-Smith'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.SalesReps().UpdateSettingsSalesRep(context.Background(), "sr_7c1e4b9a2d3f4e5a8b6c0d1e2f3a4b5c", map[string]any{
"sales_rep": map[string]any{"last_name": "Citizen-Smith"},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send only the fields to change under
sales_rep. Set status to active or inactive to enable or disable the rep.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The sales rep's id, which starts with sr_.
Body
application/json
Show child attributes
Show child attributes
Response
200
The sales rep is updated.